Bug 730964 (CVE-2011-1836) - CVE-2011-1836 ecryptfs-utils: ecryptfs-recover-private insecure permissions on the temporary mount point
Summary: CVE-2011-1836 ecryptfs-utils: ecryptfs-recover-private insecure permissions o...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1836
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110809,reported=20110801,sou...
Depends On: 729474
Blocks: 729476
TreeView+ depends on / blocked
 
Reported: 2011-08-16 12:05 UTC by Tomas Hoger
Modified: 2019-06-08 18:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-08 10:58:07 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2011-08-16 12:05:34 UTC
Quoting Ubuntu advisory:

Marc Deslauriers discovered that eCryptfs incorrectly handled permissions during recovery. A local attacker could use this flaw to possibly access another user's data during the recovery process. This issue only applied to Ubuntu 11.04. (CVE-2011-1836)

References:
http://www.ubuntu.com/usn/usn-1188-1/
https://launchpad.net/bugs/732628

Patch is attached in the bug that track other issues from the advisory:
https://bugzilla.redhat.com/show_bug.cgi?id=729465#c4

Comment 1 Tomas Hoger 2011-08-16 12:09:03 UTC
As was noted in bug #729465, comment #8:

CVE-2011-1836 only affects Fedora; ecryptfs-recover-private does not exist in
ecryptfs-utils-82 (which is what is shipped with Red Hat Enterprise Linux 6).

Statement:

Not vulnerable. This issue did not affect the versions of ecryptfs-utils as
shipped with Red Hat Enterprise Linux 5 or 6.


Note You need to log in before you can comment on or make changes to this bug.